<html>
<head>
<title>Ogre::Grid2DPageStrategyData Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html">Grid2DPageStrategyData</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Grid2DPageStrategyData Class Reference<div class="ingroups"><a class="el" href="group__Paging.html">Paging</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Grid2DPageStrategyData" --><!-- doxytag: inherits="Ogre::PageStrategyData" -->
<p>Specialisation of <a class="el" href="classOgre_1_1PageStrategyData.html" title="Abstract marker class representing the data held against the PagedWorldSection which is specifically ...">PageStrategyData</a> for <a class="el" href="classOgre_1_1Grid2DPageStrategy.html" title="Page strategy which loads new pages based on a regular 2D grid.">Grid2DPageStrategy</a>.  
 <a href="classOgre_1_1Grid2DPageStrategyData.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Grid2DPageStrategyData:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Grid2DPageStrategyData__inherit__graph.gif" border="0" usemap="#Ogre_1_1Grid2DPageStrategyData_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Grid2DPageStrategyData_inherit__map" id="Ogre_1_1Grid2DPageStrategyData_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1PageStrategyData.html" title="Abstract marker class representing the data held against the PagedWorldSection which is specifically ..." alt="" coords="25,83,191,112"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="68,5,148,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Grid2DPageStrategyData-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#ab690d0d7bfde4901d05b801ba55f031f">Grid2DPageStrategyData</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a5cb06b44106500ef4b76dd63520bbf47">~Grid2DPageStrategyData</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a919393a7fbd4b645a6ebfe51b7d62b2c">setMode</a> (<a class="el" href="group__Paging.html#ga725e3c2dccf1dbcec4a12f165681317c">Grid2DMode</a> mode)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the grid alignment mode.  <a href="#a919393a7fbd4b645a6ebfe51b7d62b2c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Paging.html#ga725e3c2dccf1dbcec4a12f165681317c">Grid2DMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#aa4143b3b5fb6a49756c3dfde3254c016">getMode</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the grid alignment mode.  <a href="#aa4143b3b5fb6a49756c3dfde3254c016"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#af8d3c9cc51d6555f55723934ace46a2e">setOrigin</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;worldOrigin)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the origin of the grid in world space.  <a href="#af8d3c9cc51d6555f55723934ace46a2e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a7acd1f54228e8cd83913ebe8e99d09a0">getOrigin</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;worldOrigin)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the origin of the grid in world space.  <a href="#a7acd1f54228e8cd83913ebe8e99d09a0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#aca2a3f3bfb4ee8d102287380a88ec3e8">setCellSize</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> sz)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the size of the cells in the grid.  <a href="#aca2a3f3bfb4ee8d102287380a88ec3e8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#aa7eb463355a451d49defcfb14a64f6e3">getCellSize</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the size of the cells in the grid.  <a href="#aa7eb463355a451d49defcfb14a64f6e3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a971a435066af90a61c618bf551a4ca85">setLoadRadius</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> sz)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the loading radius.  <a href="#a971a435066af90a61c618bf551a4ca85"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a75a786bf0b40a8ef0f74f13064436db6">getLoadRadius</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the loading radius.  <a href="#a75a786bf0b40a8ef0f74f13064436db6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a3faa3212ed5a471e64473f3c49b3ec32">setHoldRadius</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> sz)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Holding radius.  <a href="#a3faa3212ed5a471e64473f3c49b3ec32"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#ad37222d9ec1409b0c29f13c450778cc5">getHoldRadius</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Holding radius.  <a href="#ad37222d9ec1409b0c29f13c450778cc5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a73e0335ca55e8798854a7ee37bdc8b1c">getLoadRadiusInCells</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the load radius as a multiple of cells.  <a href="#a73e0335ca55e8798854a7ee37bdc8b1c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a09a33b2a423ee71c271d414535712441">getHoldRadiusInCells</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Hold radius as a multiple of cells.  <a href="#a09a33b2a423ee71c271d414535712441"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#af9383aed6dc9c82576ae39f4b3ee99f8">setCellRange</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minX, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minY, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxX, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxY)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the index range of all cells (values outside this will be ignored)  <a href="#af9383aed6dc9c82576ae39f4b3ee99f8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a0cdeae8791ea172916dbaac422d152d7">setCellRangeMinX</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minX)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the index range of all cells (values outside this will be ignored)  <a href="#a0cdeae8791ea172916dbaac422d152d7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#ac5b925e7ab7fa1017ca212ee86ecac51">setCellRangeMinY</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> minY)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the index range of all cells (values outside this will be ignored)  <a href="#ac5b925e7ab7fa1017ca212ee86ecac51"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#adba5b34cf07f301ffe8d3f0b671f0ec5">setCellRangeMaxX</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxX)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the index range of all cells (values outside this will be ignored)  <a href="#adba5b34cf07f301ffe8d3f0b671f0ec5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#aff88059babd2ffe69b5df6bae444bc6c">setCellRangeMaxY</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> maxY)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the index range of all cells (values outside this will be ignored)  <a href="#aff88059babd2ffe69b5df6bae444bc6c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#af511dfcc90d59489a40c32e1d85ed48c">getCellRangeMinX</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">get the index range of all cells (values outside this will be ignored)  <a href="#af511dfcc90d59489a40c32e1d85ed48c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a7200797383fa8c3dfead34a9d47eaef7">getCellRangeMinY</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">get the index range of all cells (values outside this will be ignored)  <a href="#a7200797383fa8c3dfead34a9d47eaef7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#aa0ef658e5eab0f6ff8d15445dfe0b381">getCellRangeMaxX</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">get the index range of all cells (values outside this will be ignored)  <a href="#aa0ef658e5eab0f6ff8d15445dfe0b381"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#af454586a0a80de9e7ac0dae2d7a0f311">getCellRangeMaxY</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">get the index range of all cells (values outside this will be ignored)  <a href="#af454586a0a80de9e7ac0dae2d7a0f311"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a9426a938e8b6cc35581484c2f5d4a3d6">load</a> (<a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;stream)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load this data from a stream (returns true if successful)  <a href="#a9426a938e8b6cc35581484c2f5d4a3d6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a11b924119c2adf18228bebb85e9c9d78">save</a> (<a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;stream)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Save this data to a stream.  <a href="#a11b924119c2adf18228bebb85e9c9d78"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#ae4ec9cac11641471726bf96bfb8f596d">convertWorldToGridSpace</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;world, <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;grid)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a world point to grid space (not relative to origin)  <a href="#ae4ec9cac11641471726bf96bfb8f596d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#ae5e29254ddfbf7d7dedee5a274a78947">convertGridToWorldSpace</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;grid, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;world)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a grid point to world space - note only 2 axes populated.  <a href="#ae5e29254ddfbf7d7dedee5a274a78947"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a26735f9ed9499d93a6c82346b7e284e7">getMidPointGridSpace</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> x, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> y, <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;mid)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the (grid space) mid point of a cell.  <a href="#a26735f9ed9499d93a6c82346b7e284e7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a1fc550fcd2bf9b035999259f1fb74581">getBottomLeftGridSpace</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> x, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> y, <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;bl)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the (grid space) bottom-left of a cell.  <a href="#a1fc550fcd2bf9b035999259f1fb74581"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a3ce88a4272f2603a3ae0d3f3c6e864c2">getCornersGridSpace</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> x, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> y, <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> *pFourPoints)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the (grid space) corners of a cell.  <a href="#a3ce88a4272f2603a3ae0d3f3c6e864c2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a0ca722266d38706ce99241f5f84130d1">determineGridLocation</a> (const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;gridpos, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *x, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *y)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a grid position into a row and column index.  <a href="#a0ca722266d38706ce99241f5f84130d1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a4f40f3a38d5bdd754d97aae388eff33f">calculatePageID</a> (<a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> x, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> y)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a20d28715472c15bf22f1f2db637ebae6">calculateCell</a> (<a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a> inPageID, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *x, <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *y)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#ab41c384b1be0abfb04b0309eb1ab34fc">CHUNK_ID</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a3bf4f66a557bf903e12c8e8145d4efbb">CHUNK_VERSION</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#afea2988515deb6c4b503d5b35cf3f2ec">updateDerivedMetrics</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Paging.html#ga725e3c2dccf1dbcec4a12f165681317c">Grid2DMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a0efec72f1a270ebe5ac0258cf9550da7">mMode</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Orientation of the grid.  <a href="#a0efec72f1a270ebe5ac0258cf9550da7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a1629140eb50c293d31c6857594312505">mWorldOrigin</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Origin (world space)  <a href="#a1629140eb50c293d31c6857594312505"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a28949c76d2ee4938d704c5cd212ae624">mOrigin</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Origin (grid-aligned world space)  <a href="#a28949c76d2ee4938d704c5cd212ae624"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#aff88b3748ed76a27da5a660bf0ae174e">mCellSize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Grid cell (page) size.  <a href="#aff88b3748ed76a27da5a660bf0ae174e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a4b3539bf3f22b11fcbdc58131bac9ae5">mLoadRadius</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load radius.  <a href="#a4b3539bf3f22b11fcbdc58131bac9ae5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#acef410ebc662f303f9f7c85fe9af6deb">mHoldRadius</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Hold radius.  <a href="#acef410ebc662f303f9f7c85fe9af6deb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a4698f34331dd97851dc05c2e837013aa">mLoadRadiusInCells</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a61e358d1480dc8d916fe26076280c9ae">mHoldRadiusInCells</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a5a144602e0dcf9053008a70df8438c0a">mMinCellX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a151816f549af0c4d9916b4e7ecaa81fe">mMinCellY</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a7760b903898bbe4ea0507746b76a5931">mMaxCellX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a4d3396d4becf8b670329650b04200352">mMaxCellY</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Specialisation of <a class="el" href="classOgre_1_1PageStrategyData.html" title="Abstract marker class representing the data held against the PagedWorldSection which is specifically ...">PageStrategyData</a> for <a class="el" href="classOgre_1_1Grid2DPageStrategy.html" title="Page strategy which loads new pages based on a regular 2D grid.">Grid2DPageStrategy</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Structurally this data defines with a grid of pages, with the logical origin in the middle of the entire grid. The grid cells are indexed from 0 as a 'centre' slot, supporting both positive and negative values. so (0,0) is the centre cell, (1,0) is the cell to the right of the centre, (1,0) is the cell above the centre, (-2,1) is the cell two to the left of the centre and one up, etc. The maximum extent of each axis is -32768 to +32767, so in other words enough for over 4 billion entries. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>To limit the page load requests that are generated to a fixed region, you can set the min and max cell indexes (inclusive)for each direction; if a page request would address a cell outside this range it is ignored so you don't have the expense of checking for page data that will never exist. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>The data format for this in a file is:<br/>
 <b><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html" title="Specialisation of PageStrategyData for Grid2DPageStrategy.">Grid2DPageStrategyData</a> (Identifier 'G2DD')</b><br/>
 [Version 1] <table class="doxtable">
<tr>
<td><b>Name</b> </td><td><b>Type</b> </td><td><b>Description</b>  </td></tr>
<tr>
<td>Grid orientation </td><td>uint8 </td><td>The orientation of the grid; XZ = 0, XY = 1, YZ = 2  </td></tr>
<tr>
<td>Grid origin </td><td><a class="el" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> </td><td>World origin of the grid.  </td></tr>
<tr>
<td>Grid cell size </td><td>Real </td><td>The size of each cell (page) in the grid  </td></tr>
<tr>
<td>Grid cell range (minx, maxx, miny, maxy) </td><td>int16 * 4 </td><td>The extents of the world in cell indexes  </td></tr>
<tr>
<td>Load radius </td><td>Real </td><td>The outer radius at which new pages should start loading  </td></tr>
<tr>
<td>Hold radius </td><td>Real </td><td>The radius at which existing pages should be held if already loaded but not actively loaded (should be larger than Load radius)  </td></tr>
</table>
</dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html" title="Specialisation of PageStrategyData for Grid3DPageStrategy.">Grid3DPageStrategyData</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00120">120</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab690d0d7bfde4901d05b801ba55f031f"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::Grid2DPageStrategyData" ref="ab690d0d7bfde4901d05b801ba55f031f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#ab690d0d7bfde4901d05b801ba55f031f">Ogre::Grid2DPageStrategyData::Grid2DPageStrategyData</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5cb06b44106500ef4b76dd63520bbf47"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::~Grid2DPageStrategyData" ref="a5cb06b44106500ef4b76dd63520bbf47" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a5cb06b44106500ef4b76dd63520bbf47">Ogre::Grid2DPageStrategyData::~Grid2DPageStrategyData</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a20d28715472c15bf22f1f2db637ebae6"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::calculateCell" ref="a20d28715472c15bf22f1f2db637ebae6" args="(PageID inPageID, int32 *x, int32 *y)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a20d28715472c15bf22f1f2db637ebae6">Ogre::Grid2DPageStrategyData::calculateCell</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a>&#160;</td>
          <td class="paramname"><em>inPageID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a4f40f3a38d5bdd754d97aae388eff33f"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::calculatePageID" ref="a4f40f3a38d5bdd754d97aae388eff33f" args="(int32 x, int32 y)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2">PageID</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a4f40f3a38d5bdd754d97aae388eff33f">Ogre::Grid2DPageStrategyData::calculatePageID</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae5e29254ddfbf7d7dedee5a274a78947"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::convertGridToWorldSpace" ref="ae5e29254ddfbf7d7dedee5a274a78947" args="(const Vector2 &amp;grid, Vector3 &amp;world)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#ae5e29254ddfbf7d7dedee5a274a78947">Ogre::Grid2DPageStrategyData::convertGridToWorldSpace</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&#160;</td>
          <td class="paramname"><em>grid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>world</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert a grid point to world space - note only 2 axes populated. </p>

</div>
</div>
<a class="anchor" id="ae4ec9cac11641471726bf96bfb8f596d"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::convertWorldToGridSpace" ref="ae4ec9cac11641471726bf96bfb8f596d" args="(const Vector3 &amp;world, Vector2 &amp;grid)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#ae4ec9cac11641471726bf96bfb8f596d">Ogre::Grid2DPageStrategyData::convertWorldToGridSpace</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>world</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&#160;</td>
          <td class="paramname"><em>grid</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert a world point to grid space (not relative to origin) </p>

</div>
</div>
<a class="anchor" id="a0ca722266d38706ce99241f5f84130d1"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::determineGridLocation" ref="a0ca722266d38706ce99241f5f84130d1" args="(const Vector2 &amp;gridpos, int32 *x, int32 *y)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a0ca722266d38706ce99241f5f84130d1">Ogre::Grid2DPageStrategyData::determineGridLocation</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&#160;</td>
          <td class="paramname"><em>gridpos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> *&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert a grid position into a row and column index. </p>

</div>
</div>
<a class="anchor" id="a1fc550fcd2bf9b035999259f1fb74581"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::getBottomLeftGridSpace" ref="a1fc550fcd2bf9b035999259f1fb74581" args="(int32 x, int32 y, Vector2 &amp;bl)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a1fc550fcd2bf9b035999259f1fb74581">Ogre::Grid2DPageStrategyData::getBottomLeftGridSpace</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&#160;</td>
          <td class="paramname"><em>bl</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the (grid space) bottom-left of a cell. </p>

</div>
</div>
<a class="anchor" id="aa0ef658e5eab0f6ff8d15445dfe0b381"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::getCellRangeMaxX" ref="aa0ef658e5eab0f6ff8d15445dfe0b381" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#aa0ef658e5eab0f6ff8d15445dfe0b381">Ogre::Grid2DPageStrategyData::getCellRangeMaxX</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>get the index range of all cells (values outside this will be ignored) </p>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00193">193</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="af454586a0a80de9e7ac0dae2d7a0f311"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::getCellRangeMaxY" ref="af454586a0a80de9e7ac0dae2d7a0f311" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#af454586a0a80de9e7ac0dae2d7a0f311">Ogre::Grid2DPageStrategyData::getCellRangeMaxY</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>get the index range of all cells (values outside this will be ignored) </p>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00195">195</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="af511dfcc90d59489a40c32e1d85ed48c"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::getCellRangeMinX" ref="af511dfcc90d59489a40c32e1d85ed48c" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#af511dfcc90d59489a40c32e1d85ed48c">Ogre::Grid2DPageStrategyData::getCellRangeMinX</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>get the index range of all cells (values outside this will be ignored) </p>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00189">189</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7200797383fa8c3dfead34a9d47eaef7"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::getCellRangeMinY" ref="a7200797383fa8c3dfead34a9d47eaef7" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a7200797383fa8c3dfead34a9d47eaef7">Ogre::Grid2DPageStrategyData::getCellRangeMinY</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>get the index range of all cells (values outside this will be ignored) </p>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00191">191</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa7eb463355a451d49defcfb14a64f6e3"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::getCellSize" ref="aa7eb463355a451d49defcfb14a64f6e3" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#aa7eb463355a451d49defcfb14a64f6e3">Ogre::Grid2DPageStrategyData::getCellSize</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the size of the cells in the grid. </p>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00164">164</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3ce88a4272f2603a3ae0d3f3c6e864c2"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::getCornersGridSpace" ref="a3ce88a4272f2603a3ae0d3f3c6e864c2" args="(int32 x, int32 y, Vector2 *pFourPoints)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a3ce88a4272f2603a3ae0d3f3c6e864c2">Ogre::Grid2DPageStrategyData::getCornersGridSpace</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> *&#160;</td>
          <td class="paramname"><em>pFourPoints</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the (grid space) corners of a cell. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Populates pFourPoints in anticlockwise order from the bottom left point. </dd></dl>

</div>
</div>
<a class="anchor" id="ad37222d9ec1409b0c29f13c450778cc5"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::getHoldRadius" ref="ad37222d9ec1409b0c29f13c450778cc5" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#ad37222d9ec1409b0c29f13c450778cc5">Ogre::Grid2DPageStrategyData::getHoldRadius</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the Holding radius. </p>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00172">172</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a09a33b2a423ee71c271d414535712441"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::getHoldRadiusInCells" ref="a09a33b2a423ee71c271d414535712441" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a09a33b2a423ee71c271d414535712441">Ogre::Grid2DPageStrategyData::getHoldRadiusInCells</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the Hold radius as a multiple of cells. </p>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00176">176</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a75a786bf0b40a8ef0f74f13064436db6"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::getLoadRadius" ref="a75a786bf0b40a8ef0f74f13064436db6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a75a786bf0b40a8ef0f74f13064436db6">Ogre::Grid2DPageStrategyData::getLoadRadius</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the loading radius. </p>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00168">168</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a73e0335ca55e8798854a7ee37bdc8b1c"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::getLoadRadiusInCells" ref="a73e0335ca55e8798854a7ee37bdc8b1c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a73e0335ca55e8798854a7ee37bdc8b1c">Ogre::Grid2DPageStrategyData::getLoadRadiusInCells</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the load radius as a multiple of cells. </p>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00174">174</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a26735f9ed9499d93a6c82346b7e284e7"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::getMidPointGridSpace" ref="a26735f9ed9499d93a6c82346b7e284e7" args="(int32 x, int32 y, Vector2 &amp;mid)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a26735f9ed9499d93a6c82346b7e284e7">Ogre::Grid2DPageStrategyData::getMidPointGridSpace</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> &amp;&#160;</td>
          <td class="paramname"><em>mid</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the (grid space) mid point of a cell. </p>

</div>
</div>
<a class="anchor" id="aa4143b3b5fb6a49756c3dfde3254c016"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::getMode" ref="aa4143b3b5fb6a49756c3dfde3254c016" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Paging.html#ga725e3c2dccf1dbcec4a12f165681317c">Grid2DMode</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#aa4143b3b5fb6a49756c3dfde3254c016">Ogre::Grid2DPageStrategyData::getMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the grid alignment mode. </p>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00155">155</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7acd1f54228e8cd83913ebe8e99d09a0"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::getOrigin" ref="a7acd1f54228e8cd83913ebe8e99d09a0" args="(const Vector3 &amp;worldOrigin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a7acd1f54228e8cd83913ebe8e99d09a0">Ogre::Grid2DPageStrategyData::getOrigin</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>worldOrigin</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the origin of the grid in world space. </p>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00160">160</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9426a938e8b6cc35581484c2f5d4a3d6"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::load" ref="a9426a938e8b6cc35581484c2f5d4a3d6" args="(StreamSerialiser &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a9426a938e8b6cc35581484c2f5d4a3d6">Ogre::Grid2DPageStrategyData::load</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load this data from a stream (returns true if successful) </p>

<p>Implements <a class="el" href="classOgre_1_1PageStrategyData.html#aab80a3280ea2b5526ecb2a8652716533">Ogre::PageStrategyData</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a11b924119c2adf18228bebb85e9c9d78"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::save" ref="a11b924119c2adf18228bebb85e9c9d78" args="(StreamSerialiser &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a11b924119c2adf18228bebb85e9c9d78">Ogre::Grid2DPageStrategyData::save</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StreamSerialiser.html">StreamSerialiser</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Save this data to a stream. </p>

<p>Implements <a class="el" href="classOgre_1_1PageStrategyData.html#ae7b43543191e014b5df371be2626b164">Ogre::PageStrategyData</a>.</p>

</div>
</div>
<a class="anchor" id="af9383aed6dc9c82576ae39f4b3ee99f8"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::setCellRange" ref="af9383aed6dc9c82576ae39f4b3ee99f8" args="(int32 minX, int32 minY, int32 maxX, int32 maxY)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#af9383aed6dc9c82576ae39f4b3ee99f8">Ogre::Grid2DPageStrategyData::setCellRange</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>minX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>minY</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>maxX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>maxY</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the index range of all cells (values outside this will be ignored) </p>

</div>
</div>
<a class="anchor" id="adba5b34cf07f301ffe8d3f0b671f0ec5"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::setCellRangeMaxX" ref="adba5b34cf07f301ffe8d3f0b671f0ec5" args="(int32 maxX)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#adba5b34cf07f301ffe8d3f0b671f0ec5">Ogre::Grid2DPageStrategyData::setCellRangeMaxX</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>maxX</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the index range of all cells (values outside this will be ignored) </p>

</div>
</div>
<a class="anchor" id="aff88059babd2ffe69b5df6bae444bc6c"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::setCellRangeMaxY" ref="aff88059babd2ffe69b5df6bae444bc6c" args="(int32 maxY)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#aff88059babd2ffe69b5df6bae444bc6c">Ogre::Grid2DPageStrategyData::setCellRangeMaxY</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>maxY</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the index range of all cells (values outside this will be ignored) </p>

</div>
</div>
<a class="anchor" id="a0cdeae8791ea172916dbaac422d152d7"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::setCellRangeMinX" ref="a0cdeae8791ea172916dbaac422d152d7" args="(int32 minX)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a0cdeae8791ea172916dbaac422d152d7">Ogre::Grid2DPageStrategyData::setCellRangeMinX</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>minX</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the index range of all cells (values outside this will be ignored) </p>

</div>
</div>
<a class="anchor" id="ac5b925e7ab7fa1017ca212ee86ecac51"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::setCellRangeMinY" ref="ac5b925e7ab7fa1017ca212ee86ecac51" args="(int32 minY)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#ac5b925e7ab7fa1017ca212ee86ecac51">Ogre::Grid2DPageStrategyData::setCellRangeMinY</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a>&#160;</td>
          <td class="paramname"><em>minY</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the index range of all cells (values outside this will be ignored) </p>

</div>
</div>
<a class="anchor" id="aca2a3f3bfb4ee8d102287380a88ec3e8"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::setCellSize" ref="aca2a3f3bfb4ee8d102287380a88ec3e8" args="(Real sz)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#aca2a3f3bfb4ee8d102287380a88ec3e8">Ogre::Grid2DPageStrategyData::setCellSize</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the size of the cells in the grid. </p>

</div>
</div>
<a class="anchor" id="a3faa3212ed5a471e64473f3c49b3ec32"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::setHoldRadius" ref="a3faa3212ed5a471e64473f3c49b3ec32" args="(Real sz)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a3faa3212ed5a471e64473f3c49b3ec32">Ogre::Grid2DPageStrategyData::setHoldRadius</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the Holding radius. </p>

</div>
</div>
<a class="anchor" id="a971a435066af90a61c618bf551a4ca85"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::setLoadRadius" ref="a971a435066af90a61c618bf551a4ca85" args="(Real sz)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a971a435066af90a61c618bf551a4ca85">Ogre::Grid2DPageStrategyData::setLoadRadius</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the loading radius. </p>

</div>
</div>
<a class="anchor" id="a919393a7fbd4b645a6ebfe51b7d62b2c"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::setMode" ref="a919393a7fbd4b645a6ebfe51b7d62b2c" args="(Grid2DMode mode)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a919393a7fbd4b645a6ebfe51b7d62b2c">Ogre::Grid2DPageStrategyData::setMode</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Paging.html#ga725e3c2dccf1dbcec4a12f165681317c">Grid2DMode</a>&#160;</td>
          <td class="paramname"><em>mode</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the grid alignment mode. </p>

</div>
</div>
<a class="anchor" id="af8d3c9cc51d6555f55723934ace46a2e"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::setOrigin" ref="af8d3c9cc51d6555f55723934ace46a2e" args="(const Vector3 &amp;worldOrigin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#af8d3c9cc51d6555f55723934ace46a2e">Ogre::Grid2DPageStrategyData::setOrigin</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>worldOrigin</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the origin of the grid in world space. </p>

</div>
</div>
<a class="anchor" id="afea2988515deb6c4b503d5b35cf3f2ec"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::updateDerivedMetrics" ref="afea2988515deb6c4b503d5b35cf3f2ec" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#afea2988515deb6c4b503d5b35cf3f2ec">Ogre::Grid2DPageStrategyData::updateDerivedMetrics</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ab41c384b1be0abfb04b0309eb1ab34fc"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::CHUNK_ID" ref="ab41c384b1be0abfb04b0309eb1ab34fc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#ab41c384b1be0abfb04b0309eb1ab34fc">Ogre::Grid2DPageStrategyData::CHUNK_ID</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00145">145</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3bf4f66a557bf903e12c8e8145d4efbb"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::CHUNK_VERSION" ref="a3bf4f66a557bf903e12c8e8145d4efbb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a3bf4f66a557bf903e12c8e8145d4efbb">Ogre::Grid2DPageStrategyData::CHUNK_VERSION</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00146">146</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="aff88b3748ed76a27da5a660bf0ae174e"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::mCellSize" ref="aff88b3748ed76a27da5a660bf0ae174e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#aff88b3748ed76a27da5a660bf0ae174e">Ogre::Grid2DPageStrategyData::mCellSize</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Grid cell (page) size. </p>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00130">130</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="acef410ebc662f303f9f7c85fe9af6deb"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::mHoldRadius" ref="acef410ebc662f303f9f7c85fe9af6deb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#acef410ebc662f303f9f7c85fe9af6deb">Ogre::Grid2DPageStrategyData::mHoldRadius</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Hold radius. </p>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00134">134</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a61e358d1480dc8d916fe26076280c9ae"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::mHoldRadiusInCells" ref="a61e358d1480dc8d916fe26076280c9ae" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a61e358d1480dc8d916fe26076280c9ae">Ogre::Grid2DPageStrategyData::mHoldRadiusInCells</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00136">136</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4b3539bf3f22b11fcbdc58131bac9ae5"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::mLoadRadius" ref="a4b3539bf3f22b11fcbdc58131bac9ae5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a4b3539bf3f22b11fcbdc58131bac9ae5">Ogre::Grid2DPageStrategyData::mLoadRadius</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load radius. </p>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00132">132</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4698f34331dd97851dc05c2e837013aa"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::mLoadRadiusInCells" ref="a4698f34331dd97851dc05c2e837013aa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a4698f34331dd97851dc05c2e837013aa">Ogre::Grid2DPageStrategyData::mLoadRadiusInCells</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00135">135</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7760b903898bbe4ea0507746b76a5931"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::mMaxCellX" ref="a7760b903898bbe4ea0507746b76a5931" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a7760b903898bbe4ea0507746b76a5931">Ogre::Grid2DPageStrategyData::mMaxCellX</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00139">139</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4d3396d4becf8b670329650b04200352"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::mMaxCellY" ref="a4d3396d4becf8b670329650b04200352" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a4d3396d4becf8b670329650b04200352">Ogre::Grid2DPageStrategyData::mMaxCellY</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00140">140</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5a144602e0dcf9053008a70df8438c0a"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::mMinCellX" ref="a5a144602e0dcf9053008a70df8438c0a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a5a144602e0dcf9053008a70df8438c0a">Ogre::Grid2DPageStrategyData::mMinCellX</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00137">137</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a151816f549af0c4d9916b4e7ecaa81fe"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::mMinCellY" ref="a151816f549af0c4d9916b4e7ecaa81fe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">int32</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a151816f549af0c4d9916b4e7ecaa81fe">Ogre::Grid2DPageStrategyData::mMinCellY</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00138">138</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0efec72f1a270ebe5ac0258cf9550da7"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::mMode" ref="a0efec72f1a270ebe5ac0258cf9550da7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Paging.html#ga725e3c2dccf1dbcec4a12f165681317c">Grid2DMode</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a0efec72f1a270ebe5ac0258cf9550da7">Ogre::Grid2DPageStrategyData::mMode</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Orientation of the grid. </p>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00124">124</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a28949c76d2ee4938d704c5cd212ae624"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::mOrigin" ref="a28949c76d2ee4938d704c5cd212ae624" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a28949c76d2ee4938d704c5cd212ae624">Ogre::Grid2DPageStrategyData::mOrigin</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Origin (grid-aligned world space) </p>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00128">128</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1629140eb50c293d31c6857594312505"></a><!-- doxytag: member="Ogre::Grid2DPageStrategyData::mWorldOrigin" ref="a1629140eb50c293d31c6857594312505" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Grid2DPageStrategyData.html#a1629140eb50c293d31c6857594312505">Ogre::Grid2DPageStrategyData::mWorldOrigin</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Origin (world space) </p>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00126">126</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
